Malwarebytes’ Anti-Malware

Malwarebytes' Anti-Malware is considered to be the next step in the detection and removal of malware. We compiled a number of new technologies that are designed to quickly detect, destroy, and prevent malware. Malwarebytes' Anti-Malware can detect and remove malware that even the most well-known Anti-Virus and Anti-Malware applications on the market today cannot.

Malwarebytes' Anti-Malware monitors every process and stops malicious processes before they even start. The Realtime Protection Module uses our advanced heuristic scanning technology which monitors your system to keep it safe and secure. In addition, we have implemented a threats center which will allow you to keep up to date with the latest malware threats.


Key Features

Malwarebytes’ Anti-Malware is a full anti-malware with the following features:

  • Support for Windows 2000, XP, Vista, and 7 (32-bit and 64-bit).
  • Light speed quick scanning.
  • Ability to perform full scans for all drives.
  • Malwarebytes' Anti-Malware Protection Module. (requires registration)
  • Database updates released daily.
  • Quarantine to hold threats and restore them at your convenience.
  • Ignore list for both the scanner and Protection Module.
  • Settings to enhance your Malwarebytes’ Anti-Malware performance.
  • A small list of extra utilities to help remove malware manually.
  • Multi-lingual support.
  • Works together with other anti-malware utilities.
  • Command line support for quick scanning.
  • Context menu integration to scan files on demand.

Plus many more!


System Requirements

The following are requirements necessary to run Malwarebytes' Anti-Malware.

  • Microsoft® Internet Explorer 5.5 or higher.
  • Microsoft® Windows 2000 or higher
  • 250MHZ processor.
  • 256 MB of RAM.
  • 5 MB free disk space.


Navigation

Using Malwarebytes’ Anti-Malware is a breeze! The interface is neatly divided by tabs to help you move through it quickly and efficiently. Below is a brief description of each tab.

  • Scanner: The scanner tab allows you to run a quick scan or a full scan. This will reveal any malware on your system.
  • Protection: The protection tab allows you to configure and start the Protection Module. (requires registration)
  • Update: The update tab allows you to update the program and database to the latest versions. Please check at least weekly for updates.
  • Quarantine: The quarantine tab allows you to manage your removed threats. If you deleted something you did not want to, check here!
  • Logs: The logs tab allows you to manage your saved log files.
  • Ignore List: The ignore list tab allows you to manage your ignored items. Accidently ignored a threat? Check here!
  • Settings: The settings tab allows you to configure Malwarebytes’ Anti-Malware to work just how you want it.
  • More Tools: The more tools tab allows you to run extra tools that we have included with Malwarebytes’ Anti-Malware.
  • About: The about tab allows you to view information about Malwarebytes’ Anti-Malware.


Error Codes

This document helps explain some common Malwarebytes’ Anti-Malware error codes. If the error is not listed, please report it to us immediately.

  • Error 700: Error occurred using the command line. Parameters may be incorrect.
  • Error 701: The database was empty. Please reinstall the application.
  • Error 702: Error occurred expanding variables. Contact support.
  • Error 703: Error parsing the database. Please reinstall the application.
  • Error 704: One of the variables on the system is corrupt. Contact support.
  • Error 705: This error code is reserved for future use.
  • Error 706: Error loading the ignore list. Please delete ignore.dat.
  • Error 707: Error during enumeration of languages. Please reinstall the application.
  • Error 708: Error loading selected language. Please reinstall the application.
  • Error 709: Error implementing language. Contact support.
  • Error 710: Error implementing language. Contact support.
  • Error 711: Error implementing language. Contact support.
  • Error 712: This error code is reserved for future use.
  • Error 713: Error implementing language. Contact support.
  • Error 714: Error translating item. Please reinstall the application.
  • Error 715: Could not find the module handler. Please reinstall the application.
  • Error 716: Could not find the database, user declined to download manually.
  • Error 717: Database failed to download correctly. Please reinstall the application.
  • Error 718: Could not load the MD5 hash generator. Contact support.
  • Error 719: The operating system is not supported.
  • Error 720: An unknown error occurred during the memory scan. Contact support.
  • Error 721: An unknown error occurred during filesystem enumeration. Contact support.
  • Error 722: An unknown error occurred during the memory scan. Contact support.
  • Error 723: Could not find the SwissArmy driver. Please reinstall the application.
  • Error 724: An error occurred loading the quarantine. Contact support.
  • Error 725: This error code is reserved for future use.
  • Error 726: Error restoring registry value from quarantine.
  • Error 727: An unidentified item was found in the quarantine.
  • Error 728: Unable to load the log file list. Try deleting the Logs folder.
  • Error 729: This error code is reserved for future use.
  • Error 730: Unable to load the database. Please reinstall the application.
  • Error 731: Adding item to results list failed. Contact support.
  • Error 732: Error updating the database or product. Check Internet connectivity.
  • Error 733: Invalid proxy server specified. Server must begin with http:// or https://.
  • Error 734: Invalid proxy port specified. Please check documentation.

  • Error 339: Component 'comctl32.ocx' not correctly registered: file is missing or invalid.
    Solution: Download Microsoft Visual Basic 6.0 Common Controls

If you are unable to resolve your issue using the above documentation, do not hesitate to contact us.


Ignoring Items

There may be items detected by Malwarebytes' Anti-Malware which you may disagree with. Therefore, we have created an ignore list that you may add to. Any items in this list will be ignored by the scanner and by the Protection Module from further detection. To add items to this list, simply run a scan and click Show Results. The detection list will appear. Right click on any item you would like ignored and click Add to Ignore List. The item will no longer be detected.

If you would like to remove any items from the ignore list, simply click on the Ignore List tab and use the Remove and Remove All buttons.


Command Line Parameters

Malwarebytes' Anti-Malware supports a few simple, but important, command line parameters. To start the program using command line, simply click the Start Menu, Run, and type the following:

mbam.exe /parameter
(where parameter is one or more of the following)

  • /debug: allows you to collect information to send as a bug report. Prompt to save appears.
  • /debugsave: allows you to collect information to send as a bug report. Automatically saves to <root-drive>\mbam-info.txt.
  • /developer: this command line parameter is explained in the false positives section.
  • /minimized: allows you to start the program minimized.
  • /quickscan: allows you to run a quick scan.
  • /quickscanterminate: allows you to run a quick scan. Program terminates if no items found.
  • /fullscan: allows you to run a full scan.
  • /fullscanterminate: allows you to run a full scan. Program terminates if no items found.
  • /runupdate: allows you to update the program without displaying result dialogs.
  • /register: allows you to register the program without displaying main dialog.

    • Example: mbam.exe /register 12345 AAAA-BBBB-CCCC-DDDD

  • /updateshowdialog: allows you to update the program displaying all dialogs.
  • /schedule <hour>: allows you to schedule an update and scan for a specific hour. Scan will happen 5 minutes after update.

    • Example: mbam.exe /schedule 0 (will schedule for 12:00 AM local time)
    Example: mbam.exe /schedule 5 (will schedule for 5:00 AM local time)
    Example: mbam.exe /schedule 23 (will schedule for 11:00 PM local time)

  • /proxy <server>:<port>: allows you to update through a HTTP or HTTPS proxy. Any future updates will use the specified proxy server and port. Leave blank to remove proxy usage. No authentication support yet.

    • Example: mbam.exe /proxy (will disable any proxy use)
    Example: mbam.exe /proxy http://www.proxy.com:80 (will use www.proxy.com on port 80)

  • /logtofolder <path>: allows you to save all log files to the specified folder. If this folder does not exist, Malwarebytes' Anti-Malware attempts to create it. If path is blank, changes are reverted to default settings. These logs do not show up on the Logs tab.

    • Example: mbam.exe /logtofolder C:\Logs (will save all log files to C:\Logs)

  • /logtofile <path>: allows you to save all log files to the specified file. If this file does not exist, Malwarebytes' Anti-Malware attempts to create it. Newest entries are appended to top of file. If path is blank, changes are reverted to default settings. This log does not show up on the Logs tab.

    • Example: mbam.exe /logtofile C:\mbam-log.txt (will save all log files to C:\mbam-log.txt)

Note: Corporate users please contact corporate@malwarebytes.org for additional command line parameters.


Reporting False Positives

Every anti-malware program will eventually produce a false positive detection A false positive occurs when an anti-malware product detects a file as malicious when in fact, it is legitimate. Malwarebytes’ Anti-Malware is not a perfect product and we try our best to prevent these false positives. In the event a false positive does occur please read the following before letting us know.

  • Use another malware detecting utility and make sure it does not detect it as well.
  • Use search engines to make sure that others do not think the item is malicious.

Once you are positive that Malwarebytes’ Anti-Malware has detected a false positive, it is time to let us know. Please contact us using the contact information in this help file. Please include a developer's log. To create a developer's log, simply start the program using the /developer command line. More information about using command line is located in this help file.


Contact Malwarebytes

We have provided the following information in the event you wish to contact Malwarebytes.

  • Support e-mail: support@malwarebytes.org

  • Support forums: http://www.malwarebytes.org/forums

Before contacting Malwarebytes, please view the error codes section of this help file. Please also use the support forums to make sure your question has not yet been answered.